# Encyclopedia

Encyclopedia (also encyclopaedia, cyclopedia or cyclopaedia) is a large [book](book.md) (or a series of books) providing structured summary of wide knowledge in one or many fields (such as [mathematics](math.md), [history](history.md), engineering, general knowledge etc.), usually in a form of alphabetically ordered articles on terms used in the field. Paper encyclopedias are often printed in several volumes as their scope is too great for a single book. The largest and most famous encyclopedia to date is the online [Wikipedia](wikipedia.md) created by volunteers in [free culture](free_culture.md) spirit, however Wikipedia suffers from significant issues such as [censorship](censorship.md), high political propaganda and low quality of writing, therefore it is important to also stay interested in other encyclopedias such as Britannica or [LRS wiki](lrs_wiki.md).

**Similar terms:** encyclopedias are similar to **dictionaries** and these works often overlap (many encyclopedias call themselves dictionaries); the main difference is that a dictionary focuses on providing linguistic information about the terms and has shorter term definitions, while encyclopedias has longer articles (which however limits the total number of terms it may contain). Encyclopedias are also a subset of so called **reference works**, i.e. works that serve to provide [information](information.md) and reference to it (other kinds of reference works being e.g. world maps or [API](api.md) references). A **universal/general** encyclopedia is one that focuses on human knowledge at wide, as opposed to an encyclopedia that focuses on one specific field of knowledge.

## Notable/Nice Encyclopedias

Here is a list of notable encyclopedias, focused on general knowledge English language ones.

{ See also https://wikiindex.org/. ~drummyfish }

| name                           | year  |  legal status    | format      | ~articles | comment                                                                                                    |
| ------------------------------ | ----- | ---------------- | ----------- | --------- | ---------------------------------------------------------------------------------------------------------- |
| Britannica 11th edition        | 1910  | PD (old)         | 29 vol.     | 40K       | legendary enc., digitized (gutenberg), uncensored facts on race etc.                                       |
| Britannica online              |...now | proprietary      | online      | 130K      | bloated, high quality articles, ads                                                                        |
| [Citizendium](citizendium.md)  |2006...|proprietary? (NC) | online      | 18K       | Wikipedia alternative, censored, faggots have unclear license                                              |
|[Conservaedia](conservapedia.md)|2006...| proprietary      | online      | 52K       | American fascist wiki, has basic factual errors                                                            |    
| Desk Reference Encyclopedia    | 1995  | proprietary      | 1 vol. 800p | 200K?     | by James Hughes, nice illustrations, quality articles { I bought this, it's nice. ~drummyfish }            |
| Encyclopedia Dramatica         |2004...| PD (CC0)         | online      | 15K       | informal/fun/"offensive" but valuable info (on society, tech, ...), basically no censorship, no propaganda |    
| Illustrated Family Encyclopedia| 1997  | proprietary      | 2 vol. 920p | 5K        | kid-friendly, nice pictures, USA bias, piratable                                                           |
|[Infogalactic](infogalactic.md) |2016...| CC BY-SA         | online      | 2M        | Wikipedia fork, no SJW censorship, FOR PROFIT (you can buy article control lol), can't make accounts       |
| [LRS wiki](lrs_wiki.md)        |2021...| PD (CC0)         | online/elec.| 500       | best encyclopedia, focused on tech/society, no censorship                                                  | 
| [Metapedia](metapedia.md)      |2006...| GFDL             | online      | 7K        | Wikipedia fork, online, no SJW censorship, ATM limited account creation, "pro-European" fascism            |
|Microsoft [Encarta](encarta.md) |...2009| proprietary      | electronic  | 62K       | Micro$oft enc., low quality articles (errors), MS propaganda (no free software etc. lol), is on archive.org|
| Simple English Wikipedia       |2001...| CC BY-SA         | online      | 200K      | Wikipedia with simpler language and simpler explanations, censored                                         |
| The Nuttall Encyclopaedia      | 1907  | PD (old)         | 1 vol.      | 16K       | short articles, oldschool, digitized (gutenberg)                                                           |
| [Vikidia](vikidia.md)          |2006...| CC BY-SA         | online      | 4K        | "Wikipedia for kids", probably as censored as Wikipedia                                                    |
|Webster's Unabridged Dictionary |1864   | PD (old)         | paper       | 476K      | short descriptions, digitized (gutenberg)                                                                  |
| [Wikipedia](wikipedia.md)      |2001...| CC BY-SA         | online      | 6M        | largest and most famous, EXTREME PSEUDOLEFTIST CENSORSHIP AND POLITICAL PROPAGANDA, free culture           |
| Old Wikipedia                  | 2001  | GFDL             | online      | 19K       | archived old Wikipedia, less censorship, https://nostalgia.wikipedia.org                                   |
| Pears' Cyclopedia              | 1897  | PD (old)         | 1 vol. 740p |           | contains dictionary, general knowl. maps, reference etc., scanned on archive.org                           |
| The World Book                 |1917...| proprietary      | 22 vol.     | 17K       | best selling print enc., large, probably high quality                                                      |
| The World Book 1917            |1917   | PD (old)         | 8 vol.      | 3K        | nicely readable                                                                                            |
| Uncyclopedia                   |2005...| proprietary (NC) | online      | 37K       | parody, [fun](fun.md) enc.                                                                                 |

